
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>windows azure使用powershell批量创建虚拟机 / 憋错料</title>

    <meta name="description" content="windows azure使用powershell批量创建虚拟机 这里向大家介绍下如何使用powershell批量创建vm虚拟机,本博文中,我打算用powershell批量创建100台VM. 首先,从官网下载页面,下载并安装Windows Azure PowerShell:http://www.windowsazure.cn/zh-cn/downloads/#cmd-line-tools 安装完毕后以管理员身份运行,右键点击PowerShell图标然后选择以管理员身份运行执行命令Get-AzurePublishSettingsFile-Environment">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">windows azure使用powershell批量创建虚拟机</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这里向大家介绍下如何使用powershell批量创建vm虚拟机，本博文中，我打算用powershell批量创建100台VM。</p>
<p>首先，从官网下载页面，下载并安装Windows Azure PowerShell:<a href="http://www.windowsazure.cn/zh-cn/downloads/#cmd-line-tools" rel="external nofollow noreferrer">http://www.windowsazure.cn/zh-cn/downloads/#cmd-line-tools</a></p>
<p>安装完毕后以管理员身份运行，右键点击PowerShell图标然后选择以管理员身份运行执行命令Get-AzurePublishSettingsFile-Environment "AzureChinaCloud"，通过打开的页面下载您的WindowsAzure Subscription的发布配置文件；（这些在之前的博文中都有详细描述）</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODcvMjgvd0tpb20xZldIYUd5TzBWc0FBQWpRNkJKTzNFODE3LmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzQ0NjA5NDM2LmpwZw==.jpg" /></p>
<p>在PowerShell中执行Import-AzurePublishSettingsFile“发布配置文件本地存放路径”</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODcvMjkvd0tpb20xZldIYkh5cHBvZkFBQlJtazVTb0pFNzc2LmpwZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzg4NDMxNDA0OC5qcGc=.jpg" /></p>
<p>操作成功后，新建一个txt文档，将下面的代码拷贝进去（请将高亮的信息替换为您自己的部署信息），将后缀名修改为.ps1，例如我们将文件保存为vm.ps1</p>
<p># 指定订阅名称</p>
<p>$subscriptionName="Internal-002";</p>
<p># 指定用来保存虚拟机VHD的存储</p>
<p>$storageAccount="danielstorage";</p>
<p># 创建一个数组用来保存虚拟机创建的配置信息</p>
<p>$vms=New-ObjectSystem.Collections.ArrayList;</p>
<p># 获取虚拟机镜像列表</p>
<p>$images=Get-AzureVMImage;</p>
<p># 获取第43个镜像的名称（Win Server 08 R2）</p>
<p>$imageName=$images[43].ImageName;</p>
<p># 云服务的名称</p>
<p>$cloudServiceName="DanielVMBatchCreationTest";</p>
<p># 设置默认的订阅以及默认订阅关联的存储账号</p>
<p>Select-AzureSubscription–SubscriptionName$subscriptionName–Default</p>
<p>Set-AzureSubscription-SubscriptionName$subscriptionName-CurrentStorageAccountName$storageAccount</p>
<p># 执行循环，生成虚拟机配置数组，计数从2开始，到19结束，就会创建出DanBatchDep2,DanBatchDep3,DanBatchDep4....DanBatchDep19这些虚拟机</p>
<p>for($i=1;$i–le19;$i++)</p>
<p>{</p>
<p>#DanBatchDep是创建的虚拟机名称的前缀</p>
<p>$vmName="DanBatchDep"+$i;</p>
<p># 创建虚拟机的配置信息（虚拟机名称，虚拟机大小Small，虚拟机镜像名称，用户名，密码，虚拟网络子网名等等（可省略））</p>
<p># 可选的虚拟机InstanceSize有：ExtraSmall, Small, Medium, Large, ExtraLarge, A5, A6,A7, A8, A9, Basic_A0, Basic_A1, Basic_A2, Basic_A3, Basic_A4,Standard_D1, Standard_D2, Standard_D3, Standard_D4,Standard_D11,Standard_D12, Standard_D13, Standard_D14</p>
<p>$vm=New-AzureVMConfig–Name$vmName–InstanceSizeSmall–ImageName$imageName|add-AzureProvisioningConfig-Windows-AdminUsernamedaniel-Password1qaz2wsxE-TimeZone"China Standard Time"–DisableAutomaticUpdates|Set-AzureSubnet-SubnetNames‘Subnet-1‘;</p>
<p># 将配置信息添加到数组中用于最后一步命令</p>
<p>$vms.add($vm);</p>
<p>}</p>
<p># 批量创建虚拟机，通过-VMs参数将之前创建好的虚拟机配置数组作为参数，并指定虚拟网络的名称以及地理位置参数和云服务名称</p>
<p>New-AzureVM-Location"China East"–ServiceName$cloudServiceName–VMs$vms-VNetName‘DanielBatchDeployTest‘</p>
<p>保存完成后，运行Azure Powershell，然后输入"&amp; " +&lt;刚刚保存的ps1脚本的文件路径（可以直接将脚本拖拽到Powershell界面中&gt;，然后输入回车执行即可，下面是执行效果的截图：</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODcvMjYvd0tpb0wxZldIZHFDcEEyQUFBQkZCUmMwWHFZNzMzLnBuZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzEwNDUyNDU0LnBuZw==.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczIuNTFjdG8uY29tL3d5ZnMwMi9NMDIvODcvMjkvd0tpb20xZldIZHVTcVVDWkFBQjhlOGoxZEVnMzQwLnBuZy13aF81MDB4MC13bV8zLXdtcF80LXNfNDI4ODU1NjYyNS5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODcvMjkvd0tpb20xZldIZURBN0xicEFBR1B6WkRDMzdzNTU5LnBuZy13aF81MDB4MC13bV8zLXdtcF80LXNfMzA2MDg0NzE3MS5wbmc=.jpg" /></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczQuNTFjdG8uY29tL3d5ZnMwMi9NMDAvODcvMjYvd0tpb0wxZldIZWJEcHZkakFBRzVjejhDNGdFODU2LnBuZy13aF81MDB4MC13bV8zLXdtcF80LXNfMjQ0MTcyMjM5Ny5wbmc=.jpg" /></p>
<p>总共用了1小时不到，部署了100台虚拟机，效率还是很高的。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 18:33:21 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/powershell/" title="powershell">powershell</a>, <a href="https://www.biecuoliao.com/tag/windows-azure/" title="windows azure">windows azure</a>, <a href="https://www.biecuoliao.com/tag/%e6%89%b9%e9%87%8f%e8%99%9a%e6%8b%9f%e6%9c%ba/" title="批量虚拟机">批量虚拟机</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>windows azure使用powershell批量创建虚拟机的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NRmx84.html" rel="bookmark">windows azure通过powershell打开关闭虚拟机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前的博文介绍过windows azure的登录管理方式有网页门户及powershell管理两种办法,今天,我们就来介绍下,如何使用powershell来控制虚拟机的打开与关闭 首先,安装Microsoft azure SDK并连接azure,之前介绍过,这里就不详细赘诉 打开powershell 输入get-azurevm查看当前的虚拟机信息 输入get-azurevm –servicename &quot;testcloud&quot; –name &quot;testvm01&quot;查看test			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wEkvRM.html" rel="bookmark">Azure PowerShell批量创建Azure虚拟机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在我们工作过程当中,可能会需要创建多台相同配置的虚拟机.我们是不是只能通过Portal 页面一台台创建呢?答案是否定的,我们可以通过Azure PowerShell脚本来批量创建虚拟机.接下来我将介绍通过Powershell来批量创建Azure虚拟机. 以下分割线内的内容是要powershell脚本用来批量创建虚拟机的内容 ---------------------------------------分割线---------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JYjKY3.html" rel="bookmark">Windows Azure 免费初体验 - 创建部署网站</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前几天在看到有个学Windows Azure课程,送Windows Azure的活动,课程地址:http://www.microsoftvirtualacademy.com/ 在活得体验资格后,就迫不及待的捣鼓了下.在这里就介绍一下如何将自己的网站部署到Windows Azure上. 首先介绍下本机环境: -- 安装了Visual Studio 2013(自带数据库设计工具;虽然安装了SQL Server 2008,但是还是无法连接 SQL Server 2014) -- 安装了Git 下面就将			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47w9jx4.html" rel="bookmark">在centos6&period;7上安装kvm，批量创建虚拟机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				实验环境:dell r710 linux系统使用centos6.7 内存32G,硬盘800G 服务器主机:172.18.204.1 kickstart文件主机:172.18.11.115 ]# modprobe kvm ]# lsmod |grep kvm 显示如下即可继续: 验证:如下文件存在即可 ]# ls /dev/kvm 关闭selinux: ]# vim /etc/sysconfig/selinux selinux=dsabled ]# service NetworkManager s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3qA7gD3.html" rel="bookmark">kvm批量创建虚拟机并自动设定ip和服务器名</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 说明 kvm比起vmware来说最没有的功能就是用模板部署虚拟机的时候可以自定义ip地址,这对于大量创建vm的场景来说你需要一台台vnc的登录改动ip,显然是很累的,最近我就遇到这种场景(大型的cloudstack和openstack架构不说) 想到了一个方法,就是用一台关了机的虚拟机作为模板,复制它的xml文件可以改mac地址,这样就可以通过mac地址的唯一性而在模板虚拟机中加入一个脚本来根据一个写好在虚拟机中的列表文件来设定相应的ip地址和服务器名.这种方法要求以下步骤 1.模板虚拟机			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49Qlzg4.html" rel="bookmark">Hyper-V批量创建虚拟机工具</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				自己瞎捣腾的小工具,主要是要经常批量创建虚拟机Hyper-V,比较繁琐,就弄了个小工具,自己用...... 下载地址:https://www.lanzous.com/b807706 原文地址:https://blog.51cto.com/1467600/2415538			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jL8NA4.html" rel="bookmark">windows azure使用powershell创建虚拟机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				上篇博文介绍了如何使用powershell控制azure虚拟机的启动和关闭,今天我们介绍下如何使用powershell创建虚拟机 首先,使用powershell登录azure,并查看虚拟机列表 首先,我们需要设定下虚拟机创建的环境 使用get-azuresubscription命令获取订阅名称信息 使用get-azurestorageaccount获取存储账户的名称 我们使用命令set-azuresubscription -subscriptionname &quot;windows azureenter			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wazqYM.html" rel="bookmark">【Azure】通过Powershell，创建虚拟机镜像</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于公司更换云服务尝试,有机会使用微软公有云服务,简单了使用了一下,整理了一些文章,希望可以帮助同样使用微软公有云的用户. 优点: · 用户界面非常漂亮,而且流程升级比较清楚: · 服务非常多,无论充值多少钱,都可以使用里面所有的服务: · 每个服务中的功能非常多,可配置的地方丰富,对于爱学习的人来说,可以扩展自己的知识面: 不足: · 文档相对比较少,而且很多都是从国外直接翻译过来的,理解起来有些困难: · 部分基本功能需要使用Powershell来实现,相对比较麻烦. 今天主要测试了创建虚拟			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jw5G93.html" rel="bookmark">Azure之批量创建虚拟机（托管磁盘）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.背景 今天准备整理一个批量创建Azure虚拟机的Json脚本,是基于Stan大神分享的脚本的基础上进行修改编辑,作为学习和自己使用. (源脚本路径:https://github.com/pjshi23/azure-quick-start-china/tree/master/201-2-vms-loadbalancer-lbrules) 环境描述:规划Azure的架构环境时,已经提前规划好虚拟网络,并依照不同的业务创建好了对应的子网,并对子网通过NSG的做访问控制. Azure上的所有虚拟机,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/VMGkpoM.html" rel="bookmark" class="title">SonarQube的安装</a>
					<div>
						1.jdk1.8 mysql5.6(以上) 2.下载sonarqube http://www.sonarqube.org/downloads/ 2.1.解压,修改配置文件sonarqube-*\con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/W0jNWo0.html" rel="bookmark" class="title">jsp九大内置对象：request、response、session、application、out、page、pageContext、config、exception</a>
					<div>
						JSP中一共预先定义了9个这样的对象,分别为:request.response.session.application.out.pagecontext.config.page.exception 1. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/V02QLpM.html" rel="bookmark" class="title">CCF-I&amp;&num;39&semi;m stuck&excl;&lpar;BFS&rpar;</a>
					<div>
						I'm stuck! 问题描述 给定一个R行C列的地图,地图的每一个方格可能是'#', '+', '-', '|', '.', 'S', 'T'七个字符中的一个,分别表示如下意思: '#': 任何时候 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MywApA3.html" rel="bookmark" class="title">HTML表格及网页编辑</a>
					<div>
						几天没有写了,感觉马上就要忘记了,俗话说:“好记性不如烂笔头”,更何况记性那么差,赶紧记下来吧! 1.表格 在HTML中要使文字及图片或图片下的文字居中(或左右)要在head加上一个样式(如 &lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x85kk0.html" rel="bookmark" class="title">Linq左外连接 多字段连接</a>
					<div>
						在与数据库打交道时,有事会遇到需要使用左外连接,与多字段连接的情况:现在又多用Linq技术,不直接写sql语句了. 今天就写下使用linq实现左外多字段连接. [数据表结构] ID1 ID2 V1   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoYLWx3.html" rel="bookmark" class="title">【Todo】Mysql死锁问题解决方式 &amp;amp&semi; 隔离级别等知识</a>
					<div>
						参考了这篇文章:http://www.cnblogs.com/LBSer/p/5183300.html  &lt;mysql死锁问题分析&gt; 写的不错.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388DQ23.html" rel="bookmark" class="title">九度OJ 1006 ZOJ</a>
					<div>
						#include &lt;iostream&gt; #include &lt;string&gt; using namespace std; int getO(string str,int &amp; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0YY8Xr0.html" rel="bookmark" class="title">SpringMVC&plus;springSecurity&plus;flexPaper 配置--类似百度文库在线预览</a>
					<div>
						背景:现在项目需要做一个类似百度文库的在线预览功能,在网上找了下很多人推荐使用FlexPaper,所以今天尝试学习了FlexPaper顺便集成到现有的框架中 由于网上目前的说的都不是很详细,所以现在记 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDda57M.html" rel="bookmark" class="title">centos7 配置ssh 免密码登陆</a>
					<div>
						我只有一台机器,是因为要配置hadoop分布式环境用,需要配置ssh 两个用户: zhangxs, root 首先在切换到zhangxs用户下 执行[ ssh-keygen -t rsa] [[ema ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyKqWa3.html" rel="bookmark" class="title">对比springmvc与struts2</a>
					<div>
						转载:http://blog.csdn.net/chenleixing/article/details/44570681 1.Struts2是类级别的拦截, 一个类对应一个request上下文,Spr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3qv2qG4.html" rel="bookmark" class="title">修改mysql 表引擎类型错误</a>
					<div>
						mysql引擎默认类型为MyISAM, mysql&gt;show engines; 事务隔离机制为:READ-COMMITTED(/etc/my.cnf查看) 默认建表如果不指定引擎类型,自动为My ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGaXNY3.html" rel="bookmark" class="title">Nutch相关框架安装使用最佳指南（转帖）</a>
					<div>
						Nutch相关框架安装使用最佳指南 Chinese installing and using instruction  -  The best guidance in installing and u ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzA57k4.html" rel="bookmark" class="title">map的排序总结</a>
					<div>
						1.按键排序 使用treemap按照键来排序 @Test      public void treeMap(){                  //传入的比较器只能根据key来排序,TreeMap ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rZnvX3.html" rel="bookmark" class="title">PostgreSQL的日期运算计算函数使用</a>
					<div>
						一:各个数据中的连接符 SqlServer的连接符:+(加号) Sqlite的连接符:.(点) PostgreSQL的连接符:||(或) 二: 今天在PostgreSQL计算日期的时候,翻了一些资料, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bpRlv4.html" rel="bookmark" class="title">最近进坑了DCS-3950双层交换机链路聚合配置整理</a>
					<div>
						交换机A上1-2端口对应交换机B上3-4端口 PC1链接交换机A上23端口 PC2链接交换机B上24端口 命令如下: DCS-3950-28C&gt;enDCS-3950-28C#conDCS-395 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDyg6n0.html" rel="bookmark" class="title">RecyclerView更通用&mdash;&mdash;listView的onItemClick&comma;onLongItemClick&comma;addHeaderView&comma;addFooterView</a>
					<div>
						一.点击事件 setOnItemClickListener,setOnItemLongClickListener RecyclerView中虽然没有提供上面这两个接口,但是给我们提供了另外一个接口:O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEvLR3.html" rel="bookmark" class="title">1003&period; 我要通过！&lpar;20&rpar;&lpar;两种语言的运行时间差异&rpar;</a>
					<div>
						&quot;答案正确&quot;是自动判题系统给出的最令人欢喜的回复.本题属于PAT的&quot;答案正确&quot;大派送 -- 只要读入的字符串满足下列条件,系统就输出&quot;答案正确&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0b5gwpM.html" rel="bookmark" class="title">Friday the Thirteenth</a>
					<div>
						题解: 模拟. 从1990~1990+n-1年之内,每一个月13号是星期几,累计一下就行了(注意:他是从六.日.一.二.三.四.五). { ID:h1956701 LANG:PASCAL PROB:f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/49k69X0.html" rel="bookmark" class="title">Itext 中的文本信息绝对定位</a>
					<div>
						PdfContentByte pcb = pw.getDirectContent(); pcb.beginText(); pcb.setFontAndSize(bfChinese, 12); pcb. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPeWny0.html" rel="bookmark" class="title">&lbrack;JAVA&lowbar;开课吧资源&rsqb;第五周 I&sol;O操作、多线程、网络编程技术</a>
					<div>
						主题一 I/O操作 » 流的概念 在面向对象语言中, 数据的输入和输出都是通过数据流来实现的.数据流是一组有顺序.有起点和终点的字符集合.就好比是两个不同的池子,一个池子中存满了水,而另一个池子中则没 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
